Subject: Re: [RFC] ipv6: Change %pI6 format to output compacted addresses?

From: Christoph Hellwig <[email-masked]>
Date: Thu, 13 Aug 2009 10:18:40 -0400

On Wed, Aug 12, 2009 at 05:39:20PM +0200, Jens Rosenboom wrote:
> Currently the output looks like 2001:0db8:0000:0000:0000:0000:0000:0001
> which might be compacted to 2001:db8::1. The code to do this could be
> adapted from inet_ntop in glibc, which would add about 80 lines to
> lib/vsprintf.c. How do you guys value the tradeoff between more readable
> logging and increased kernel size?

A little note:  if you borrow code from glibc always make sure it's from
an old enough version that is still GPLv2+ licensed.